Name:           python-sage-data-client
Version:        0.9.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Official Sage data client.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/sagecontinuum/sage-data-client
Source:         %{pypi_source sage_data_client}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sage-data-client' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sage-data-client
Summary:        %{summary}

%description -n python3-sage-data-client %_description


%prep
%autosetup -p1 -n sage_data_client-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sage-data-client -f %{pyproject_files}


%changelog
%autochangelog